Enable MM Lite messages

Use this API to enable MM-lite messaging for a live app that has already been onboarded for mm-lite.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationAccess Token for the application{{PARTNER_APP_TOKEN}}StringRequiredS/hould be a valid Partner App Access Token.
appIdApp ID to fetch the access token{{APP_ID}}StringRequired
  • The Id should be a valid app Id of Gupshup.
  • The App must be associated with the account that owns the PARTNER_APP_TOKEN being used.

Sample Request

curl --location --request POST 'https://partner.gupshup.io/partner/app/:appId/mmlite/msg/enable' \
--header 'Accept: application/json' \
--header 'Authorization: <PARTNER_APP_TOKEN>'

Sample Response

{
	"status": "success"
}

Status Codes

Status CodeResponseComments
Success
200

{

"status": "success"}

Error
400

{

"status": "error","message": "MM lite is not enabled for this app"}

401

{

"status":"error","message":"Unauthorised access to the resource. Please review request parameters and headers and retry"}

Path Params
string
required
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json